import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy } from '@angular/core';
import { Subject } from 'rxjs';
import { RSelectedTimeModel } from '.';
import { Platform } from '@angular/cdk/platform';
export declare class RTimePickerCellComponent implements AfterViewInit, OnDestroy {
    protected ngZone: NgZone;
    protected platformService: Platform;
    protected selectedChange$: Subject<boolean>;
    protected unselected$: import("rxjs").Observable<boolean>;
    protected destroy$: Subject<void>;
    _selected: boolean;
    set selected(selected: boolean);
    get selected(): boolean;
    value: string;
    select: EventEmitter<RSelectedTimeModel>;
    valueContainerElement: ElementRef;
    constructor(ngZone: NgZone, platformService: Platform);
    onClick(): void;
    ngAfterViewInit(): void;
    protected scrollToElement(): void;
    ngOnDestroy(): void;
}
